#include <stdio.h>

#include "20aof16c500kr_dsl.h"

int aof16c500kr_write_dsl(int fd, const void* src, size_t bytes, size_t* qty)
{
	int	errs;
	int	ret;

	ret	= aof16c500kr_write(fd, src, bytes);

	if (ret < 0)
		printf("ERROR: aof16c500kr_write() returned %d\n", ret);

	if (qty)
		qty[0]	= (ret < 0) ? 0 : (size_t) ret;

	errs	= (ret < 0) ? 1 : 0;
	return(errs);
}