// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/20AOF16C500KR/samples/led/main.h $
// $Rev: 52368 $
// $Date: 2023-01-12 10:15:05 -0600 (Thu, 12 Jan 2023) $

// 20AOF16C500KR: Sample Application: header file

#ifndef	__MAIN_H__
#define	__MAIN_H__

#include <ctype.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

#include "20aof16c500kr_main.h"



// macros *********************************************************************

#define	SIZEOF_ARRAY(a)				(sizeof((a)) / sizeof((a)[0]))




// data types *****************************************************************

typedef struct
{
	// Application Settings

	s32	continuous;
	s32	index;
	s32	minute_limit;
	s32	test_limit;

	int	fd;

	// Device Settings

} args_t;



// prototypes *****************************************************************

int	perform_tests(const args_t* args);



#endif
