// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/20AOF16C500KR/api/write.c $
// $Rev: 45859 $
// $Date: 2019-08-13 12:46:06 -0500 (Tue, 13 Aug 2019) $

// 20AOF16C500KR: API Library: source file

#include "main.h"



//*****************************************************************************
// Return Values:
//	>=0	= success, the number of bytes transferred
//	<0  = failure, value is -errno or -GetLastError (Windows only)
int aof16c500kr_write(int fd, const void* src, size_t bytes)
{
	int	ret;

	if (bytes > GSC_IO_SIZE_QTY_MASK)
		bytes	= GSC_IO_SIZE_QTY_MASK & ~0x3;

	bytes	|= STREAM_ID_TX;
	ret		= gsc_api_write(fd, src, bytes);
	return(ret);
}


