// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/20AOF16C500KR/samples/irq/main.h $
// $Rev: 52367 $
// $Date: 2023-01-12 10:14:47 -0600 (Thu, 12 Jan 2023) $

// 20AOF16C500KR: Sample Application: header file

#ifndef	__MAIN_H__
#define	__MAIN_H__

#include <ctype.h>
#include <semaphore.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/timeb.h>

#include "20aof16c500kr_main.h"



// macros *********************************************************************

#define	SIZEOF_ARRAY(a)				(sizeof((a)) / sizeof((a)[0]))




// data types *****************************************************************

typedef struct
{
	// Application Settings

	s32	continuous;		// > 0 = ignore errors, < 0 = stop on errors
	s32	index;
	s32	minute_limit;
	s32	test_limit;

	int	fd;

	// Device Settings

} args_t;



// prototypes *****************************************************************

int	irq_wait_test(int fd, u32 gsc, int (*callback)(int fd));
int	perform_tests(const args_t* args);



#endif
