// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/20AOF16C500KR/samples/led/perform.c $
// $Rev: 52368 $
// $Date: 2023-01-12 10:15:05 -0600 (Thu, 12 Jan 2023) $

// 20AOF16C500KR: Sample Application: source file

#include "main.h"



//*****************************************************************************
int perform_tests(const args_t* args)
{
	int		errs	= 0;
	int		i;

	gsc_label("LED Flashing");
	printf("\n");
	errs	+= aof16c500kr_initialize(args->fd, -1, 1);
	gsc_label_level_inc();

	for (i = 1; i <= 16; i++)
	{
		// Turn the LED on.
		errs	+= aof16c500kr_led(args->fd, -1, 1, AOF16C500KR_LED_ON, NULL);
		os_sleep_ms(100);

		// Turn the LED off.
		errs	+= aof16c500kr_led(args->fd, -1, 1, AOF16C500KR_LED_OFF, NULL);
		os_sleep_ms(100);
	}

	gsc_label_level_dec();
	errs	+= aof16c500kr_initialize(args->fd, -1, 1);
	return(errs);
}


